Bug 2231930 - Review Request: golang-modernc-z - Zlib for Go without cgo
Summary: Review Request: golang-modernc-z - Zlib for Go without cgo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2231243 2231392 2231393 2231438 2231451 2231928
Blocks: 2231933
TreeView+ depends on / blocked
 
Reported: 2023-08-14 17:32 UTC by W. Michael Petullo
Modified: 2023-10-04 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-21 13:20:05 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2023-08-14 17:32:22 UTC
Spec URL: https://www.flyn.org/SRPMS/golang-modernc-z.spec
SRPM URL: https://www.flyn.org/SRPMS/golang-modernc-z-1.7.4-1.fc38.src.rpm
Description: Zlib for Go without cgo
Fedora Account System Username: mikep

COPR repository:
[copr:copr.fedorainfracloud.org:mikep:golang]
name=Copr repo for golang owned by mikep
baseurl=https://download.copr.fedorainfracloud.org/results/mikep/golang/fedora-$releasever-$basearch/
type=rpm-md
skip_if_unavailable=True
gpgcheck=1
gpgkey=https://download.copr.fedorainfracloud.org/results/mikep/golang/pubkey.gpg
repo_gpgcheck=0
enabled=1
enabled_metadata=1

Comment 1 Robert-André Mauchin 🐧 2023-08-20 18:07:35 UTC
 - The license is not specified in  the SPEC

License:        # FIXME


We have also various stuff in internal/

*No copyright* Apache License 2.0
---------------------------------
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_windows_arm64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_windows_arm64.go

BSD 4-Clause License Apple Public Source License 2.0
----------------------------------------------------
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_darwin_amd64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_darwin_arm64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_darwin_amd64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_darwin_arm64.go

GNU Lesser General Public License v2.1 or later
-----------------------------------------------
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_386.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_amd64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_arm.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_arm64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_ppc64le.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_riscv64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/example_linux_s390x.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_386.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_amd64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_arm.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_arm64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_ppc64le.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_riscv64.go
/home/bob/packaging/review/golang-modernc-z/review-golang-modernc-z/upstream-unpacked/Source0/z-v1.7.4/internal/minigzip_linux_s390x.go


->


# Zlib AND BSD-3-Clause: main package
# Apache-2.0: internal/*_windows*
# BSD-4-Clause AND APSL-2.0: internal/*_darwin*
# LGPL-2.1-or-later: internal/*_linux*
License:        Zlib AND BSD-3-Clause AND Apache-2.0 AND BSD-4-Clause AND APSL-2.0 AND LGPL-2.1-or-later

 - Do not glob the entire bindir:

%{_bindir}/z


- Latest version packaged
- Builds in mock
- Checks pass
- No rpmlint errors

Comment 2 W. Michael Petullo 2023-08-20 20:15:19 UTC
Spec URL: https://www.flyn.org/SRPMS/golang-modernc-z.spec
SRPM URL: https://www.flyn.org/SRPMS/golang-modernc-z-1.7.4-1.fc38.src.rpm

The revision adds the license and updates to use %{_bindir}/z.

Comment 3 Robert-André Mauchin 🐧 2023-08-21 05:37:14 UTC
- License ok
- Latest version packaged
- Builds in mock
- Checks pass
- No rpmlint errors
- Conforms to Go Packaging Guidelines

Package approved.

Please:
 - add commit rights to go-sig after requesting the repo
 - add the package to Koschei in the go-sig group on all branches you are building
 - add the package to release-monitoring.org even if it does not release version

Comment 4 Fedora Admin user for bugzilla script actions 2023-08-21 13:10:17 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-modernc-z

Comment 5 Fedora Update System 2023-10-04 01:04:53 UTC
FEDORA-2023-6952cbca12 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6952cbca12

Comment 6 Fedora Update System 2023-10-04 01:07:10 UTC
FEDORA-2023-6952cbca12 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.